wxWidgets: wxTextAttrShadow Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
wxTextAttrShadow Class Reference
Class List by Category » Rich Text

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-4.x86_64/src/wxWidgets-3.1.5/interface/wx/richtext/richtextbuffer.h>`

## Detailed Description

A class representing a shadow.

##

Library: wxRichText

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxRichTextAttr, wxRichTextCtrl

## Public Member Functions
| wxTextAttrShadow ()
| Default constructor.
bool | operator== (const wxTextAttrShadow &shadow) const
| Equality operator.
void | Reset ()
| Resets the shadow.
bool | EqPartial (const wxTextAttrShadow &shadow, bool weakTest=true) const
| Partial equality test.
bool | Apply (const wxTextAttrShadow &shadow, const wxTextAttrShadow *compareWith=NULL)
| Applies the border to this object, but not if the same as compareWith.
bool | RemoveStyle (const wxTextAttrShadow &attr)
| Removes the specified attributes from this object.
void | CollectCommonAttributes (const wxTextAttrShadow &attr, wxTextAttrShadow &clashingAttr, wxTextAttrShadow &absentAttr)
| Collects the attributes that are common to a range of content, building up a note of which attributes are absent in some objects and which clash in some objects.
void | SetColour (unsigned long colour)
| Sets the shadow colour.
void | SetColour (const wxColour &colour)
| Sets the shadow colour.
unsigned long | GetColourLong () const
| Gets the colour as a long.
wxColour | GetColour () const
| Gets the colour.
bool | HasColour () const
| True if the shadow has a valid colour.
wxTextAttrDimension & | GetOffsetX ()
| Gets the shadow horizontal offset.
const wxTextAttrDimension & | GetOffsetX () const
void | SetOffsetX (const wxTextAttrDimension &offset)
| Sets the shadow horizontal offset.
wxTextAttrDimension & | GetOffsetY ()
| Gets the shadow vertical offset.
const wxTextAttrDimension & | GetOffsetY () const
void | SetOffsetY (const wxTextAttrDimension &offset)
| Sets the shadow vertical offset.
wxTextAttrDimension & | GetSpread ()
| Gets the shadow spread size.
const wxTextAttrDimension & | GetSpread () const
void | SetSpread (const wxTextAttrDimension &spread)
| Sets the shadow spread size.
wxTextAttrDimension & | GetBlurDistance ()
| Gets the shadow blur distance.
const wxTextAttrDimension & | GetBlurDistance () const
void | SetBlurDistance (const wxTextAttrDimension &blur)
| Sets the shadow blur distance.
wxTextAttrDimension & | GetOpacity ()
| Gets the shadow opacity.
const wxTextAttrDimension & | GetOpacity () const
bool | IsValid () const
| Returns true if the dimension is valid.
void | SetValid (bool b)
| Sets the valid flag.
int | GetFlags () const
| Returns the border flags.
void | SetFlags (int flags)
| Sets the border flags.
void | AddFlag (int flag)
| Adds a border flag.
void | RemoveFlag (int flag)
| Removes a border flag.
void | SetOpacity (const wxTextAttrDimension &opacity)
| Sets the shadow opacity.
bool | IsDefault () const
| True if the shadow has no attributes set.

## Public Attributes
int | m_flags
unsigned long | m_shadowColour
wxTextAttrDimension | m_offsetX
wxTextAttrDimension | m_offsetY
wxTextAttrDimension | m_spread
wxTextAttrDimension | m_blurDistance
wxTextAttrDimension | m_opacity

## Constructor & Destructor Documentation

## ◆ wxTextAttrShadow()

wxTextAttrShadow::wxTextAttrShadow | ( |  | ) |
| inline

Default constructor.

## Member Function Documentation

## ◆ AddFlag()

void wxTextAttrShadow::AddFlag | ( | int | flag | ) |
| inline

Adds a border flag.

## ◆ Apply()

bool wxTextAttrShadow::Apply | ( | const wxTextAttrShadow & | shadow,
|  | const wxTextAttrShadow * | compareWith = NULL )

Applies the border to this object, but not if the same as compareWith.

## ◆ CollectCommonAttributes()

void wxTextAttrShadow::CollectCommonAttributes | ( | const wxTextAttrShadow & | attr,
|  | wxTextAttrShadow & | clashingAttr,
|  | wxTextAttrShadow & | absentAttr )

Collects the attributes that are common to a range of content, building up a note of which attributes are absent in some objects and which clash in some objects.

## ◆ EqPartial()

bool wxTextAttrShadow::EqPartial | ( | const wxTextAttrShadow & | shadow,
|  | bool | weakTest = true ) const

Partial equality test.

If weakTest is true, attributes of this object do not have to be present if those attributes of border are present. If weakTest is false, the function will fail if an attribute is present in border but not in this object.

## ◆ GetBlurDistance() [1/2]

wxTextAttrDimension & wxTextAttrShadow::GetBlurDistance | ( |  | ) |
| inline

Gets the shadow blur distance.

## ◆ GetBlurDistance() [2/2]

const wxTextAttrDimension & wxTextAttrShadow::GetBlurDistance | ( |  | ) | const
| inline

## ◆ GetColour()

wxColour wxTextAttrShadow::GetColour | ( |  | ) | const
| inline

Gets the colour.

## ◆ GetColourLong()

unsigned long wxTextAttrShadow::GetColourLong | ( |  | ) | const
| inline

Gets the colour as a long.

## ◆ GetFlags()

int wxTextAttrShadow::GetFlags | ( |  | ) | const
| inline

Returns the border flags.

## ◆ GetOffsetX() [1/2]

wxTextAttrDimension & wxTextAttrShadow::GetOffsetX | ( |  | ) |
| inline

Gets the shadow horizontal offset.

## ◆ GetOffsetX() [2/2]

const wxTextAttrDimension & wxTextAttrShadow::GetOffsetX | ( |  | ) | const
| inline

## ◆ GetOffsetY() [1/2]

wxTextAttrDimension & wxTextAttrShadow::GetOffsetY | ( |  | ) |
| inline

Gets the shadow vertical offset.

## ◆ GetOffsetY() [2/2]

const wxTextAttrDimension & wxTextAttrShadow::GetOffsetY | ( |  | ) | const
| inline

## ◆ GetOpacity() [1/2]

wxTextAttrDimension & wxTextAttrShadow::GetOpacity | ( |  | ) |
| inline

Gets the shadow opacity.

## ◆ GetOpacity() [2/2]

const wxTextAttrDimension & wxTextAttrShadow::GetOpacity | ( |  | ) | const
| inline

## ◆ GetSpread() [1/2]

wxTextAttrDimension & wxTextAttrShadow::GetSpread | ( |  | ) |
| inline

Gets the shadow spread size.

## ◆ GetSpread() [2/2]

const wxTextAttrDimension & wxTextAttrShadow::GetSpread | ( |  | ) | const
| inline

## ◆ HasColour()

bool wxTextAttrShadow::HasColour | ( |  | ) | const
| inline

True if the shadow has a valid colour.

## ◆ IsDefault()

bool wxTextAttrShadow::IsDefault | ( |  | ) | const
| inline

True if the shadow has no attributes set.

## ◆ IsValid()

bool wxTextAttrShadow::IsValid | ( |  | ) | const
| inline

Returns true if the dimension is valid.

## ◆ operator==()

bool wxTextAttrShadow::operator== | ( | const wxTextAttrShadow & | shadow | ) | const

Equality operator.

## ◆ RemoveFlag()

void wxTextAttrShadow::RemoveFlag | ( | int | flag | ) |
| inline

Removes a border flag.

## ◆ RemoveStyle()

bool wxTextAttrShadow::RemoveStyle | ( | const wxTextAttrShadow & | attr | ) |

Removes the specified attributes from this object.

## ◆ Reset()

void wxTextAttrShadow::Reset | ( |  | ) |

Resets the shadow.

## ◆ SetBlurDistance()

void wxTextAttrShadow::SetBlurDistance | ( | const wxTextAttrDimension & | blur | ) |
| inline

Sets the shadow blur distance.

## ◆ SetColour() [1/2]

void wxTextAttrShadow::SetColour | ( | const wxColour & | colour | ) |
| inline

Sets the shadow colour.

## ◆ SetColour() [2/2]

void wxTextAttrShadow::SetColour | ( | unsigned long | colour | ) |
| inline

Sets the shadow colour.

## ◆ SetFlags()

void wxTextAttrShadow::SetFlags | ( | int | flags | ) |
| inline

Sets the border flags.

## ◆ SetOffsetX()

void wxTextAttrShadow::SetOffsetX | ( | const wxTextAttrDimension & | offset | ) |
| inline

Sets the shadow horizontal offset.

## ◆ SetOffsetY()

void wxTextAttrShadow::SetOffsetY | ( | const wxTextAttrDimension & | offset | ) |
| inline

Sets the shadow vertical offset.

## ◆ SetOpacity()

void wxTextAttrShadow::SetOpacity | ( | const wxTextAttrDimension & | opacity | ) |
| inline

Sets the shadow opacity.

## ◆ SetSpread()

void wxTextAttrShadow::SetSpread | ( | const wxTextAttrDimension & | spread | ) |
| inline

Sets the shadow spread size.

## ◆ SetValid()

void wxTextAttrShadow::SetValid | ( | bool | b | ) |
| inline

Sets the valid flag.

## Member Data Documentation

## ◆ m_blurDistance

wxTextAttrDimension wxTextAttrShadow::m_blurDistance

## ◆ m_flags

int wxTextAttrShadow::m_flags

## ◆ m_offsetX

wxTextAttrDimension wxTextAttrShadow::m_offsetX

## ◆ m_offsetY

wxTextAttrDimension wxTextAttrShadow::m_offsetY

## ◆ m_opacity

wxTextAttrDimension wxTextAttrShadow::m_opacity

## ◆ m_shadowColour

unsigned long wxTextAttrShadow::m_shadowColour

## ◆ m_spread

wxTextAttrDimension wxTextAttrShadow::m_spread